Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236699 - lvm2: The error message of lvcreate was not understood easily.
Summary: lvm2: The error message of lvcreate was not understood easily.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2
Version: 5.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
: ---
Assignee: Milan Broz
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-17 05:32 UTC by TAIRA Hajime
Modified: 2013-03-01 04:05 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-19 12:45:31 UTC


Attachments (Terms of Use)
patch for kind error message (deleted)
2007-04-17 05:32 UTC, TAIRA Hajime
no flags Details | Diff

Description TAIRA Hajime 2007-04-17 05:32:33 UTC
Description of problem:
When I treid to create mirrored logical volume by following command.

# lvcreate -m 1 -l 5 -n mirroredlv1 vg02
  Not enough PVs with free space available for parallel allocation.

The error message of lvcreate was not understood easily.


Version-Release number of selected component (if applicable):


How reproducible:
When only two PV is prepared and the command is executed.

Steps to Reproduce:
1. Create PV at /dev/sdb.
  # pvcreate /dev/sdb
2. Create PV at /dev/sdc.
  # pvcreate /dev/sdc
3. Create VG at /dev/sdb and /dev/sdc.
  # vgcreate vg02 /dev/sdb /dev/sdc
4. Create mirrored LV.
  # lvcreate -m 1 -l 5 -n mirroredlv1 vg02
  
Actual results:
  Not enough PVs with free space available for parallel allocation.

Expected results:
  More kind error message.

Additional info:
  I propose error message. Look at the attached patch.

Comment 1 TAIRA Hajime 2007-04-17 05:32:33 UTC
Created attachment 152762 [details]
patch for kind error message

Comment 2 Milan Broz 2008-12-19 12:45:31 UTC
The allocation strategy is more complex, it depends what type of allocation for mirror is used. The attached patch is not correct in other situations.

For example, if you use "--alloc anywhere" log device will be allocated on the one of the existing mirror image devices and will not require own PV.

See also updated lvcreate -m page: there is described that disk log requires another device in default configuration.

Also the error message is currently for example:
  Insufficient suitable allocatable extents for logical volume : 2 more required
  Unable to allocate extents for mirror(s).

(well, the message can be probably improved for understandability more:-)

Closing per fix in man page for -m option, if you think it is still not ok please reopen, thanks.


Note You need to log in before you can comment on or make changes to this bug.